Package: org.gradle.api

## [Java] Interface Namer<T>

- A namer is capable of providing a name based on some inherent characteristic of an object.

  Parameters:
    `` - The type of object that the namer can name

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `Namer.Comparator` | A comparator implementation based on the names returned by the given namer.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `determineName(T object)` Determines the name of the given object.

- - ### Method Detail

    - #### public String determineName(T object)

      Determines the name of the given object.

      throws:
        RuntimeException If the name cannot be determined or is null
      Parameters:
        `object` - The object to determine the name of
      Returns:
        The object's inherent name. Never null.